RewriteEngine on
RewriteCond $1 !^(index\.php|resources|robots\.txt)
RewriteCond %{REQUEST_FILENAME} !-f
RewriteCond %{REQUEST_FILENAME} !-d
RewriteRule ^(.*)$ index.php/$1 [L,QSA]  

<Files admin>
AuthName "admin"
AuthType Basic
AuthUserFile D:\xamp\htdocs\image_scaffholding_1\.htpasswd
require valid-user
</Files>

